Option Explicit
Declare Function QSSEncrypt Lib "QSSDLL.DLL" (ByVal buffer_len As Integer, ByVal buffer As String, ByVal key_len As Integer, ByVal key_buffer As String) As Integer
Declare Function QSSKeycrypt Lib "QSSDLL.DLL" (ByVal key_len As Integer, ByVal key As String, ByVal ip As String) As Integer

Type BldIntType
   Byte2 As String * 1
   Byte1 As String * 1
End Type
Global BldInt As BldIntType
Type IntType
   Int As Integer
End Type
Global Int2 As IntType
Type BldLongType
   Byte4 As String * 1
   Byte3 As String * 1
   Byte2 As String * 1
   Byte1 As String * 1
End Type
Global BldLong As BldLongType
Type LongType
   long As Long
End Type
Global Long4 As LongType

Function CheckAccount (ByVal acctin As String, ByVal acctchk As String) As Integer
   Dim idx As Integer
   Dim found As Integer
   
   found = True
   For idx = 1 To Len(acctin)
      If Mid$(acctin, idx, 1) <> Mid$(acctchk, idx, 1) And Mid$(acctchk, idx, 1) <> "?" Then
         found = False
         idx = Len(acctin)
      End If
   Next idx

   If found Then
      CheckAccount = True
   Else
      CheckAccount = False
   End If
End Function

Function CNVComp2HP (ByVal numberin As Single) As String
   Dim holdstr As String * 2
   
   Int2.Int = numberin
   LSet BldInt = Int2
   Mid$(holdstr, 1, 1) = BldInt.Byte1
   Mid$(holdstr, 2, 1) = BldInt.Byte2
   CNVComp2HP = holdstr

End Function

Function CNVComp4HP (ByVal numberic As Single) As String
   Dim holdstr As String * 4
   
   Long4.long = numberic
   LSet BldLong = Long4
   Mid$(holdstr, 1, 1) = BldLong.Byte1
   Mid$(holdstr, 2, 1) = BldLong.Byte2
   Mid$(holdstr, 3, 1) = BldLong.Byte3
   Mid$(holdstr, 4, 1) = BldLong.Byte4
   CNVComp4HP = holdstr

End Function

Function CnvHPComp (ByVal Numbytes As Integer, ByVal datain As String) As Single
   'convert 2 or 4 byte comp from HP to pc
   
   If Numbytes = 2 Then
      BldInt.Byte1 = Mid$(datain, 1, 1)
      BldInt.Byte2 = Mid$(datain, 2, 1)
      LSet Int2 = BldInt
      CnvHPComp = Int2.Int
   Else
      If Numbytes = 4 Then
         BldLong.Byte1 = Mid$(datain, 1, 1)
         BldLong.Byte2 = Mid$(datain, 2, 1)
         BldLong.Byte3 = Mid$(datain, 3, 1)
         BldLong.Byte4 = Mid$(datain, 4, 1)
         LSet Long4 = BldLong
         CnvHPComp = Long4.long
      End If
   End If
End Function

Function CnvHPPack6ToCur (ByVal datain As String) As Currency
   'v1.6 11/17/95 fix negative sign conversion(used val instead of asc)
   

'Debug.Print "datain>" & datain

   Dim numout As String * 12
   Mid$(numout, 1, 1) = Chr((240 And Asc(Mid$(datain, 1, 1))) / 16 + 48)
   Mid$(numout, 2, 1) = Chr((15 And Asc(Mid$(datain, 1, 1))) + 48)
   Mid$(numout, 3, 1) = Chr((240 And Asc(Mid$(datain, 2, 1))) / 16 + 48)
   Mid$(numout, 4, 1) = Chr((15 And Asc(Mid$(datain, 2, 1))) + 48)
   Mid$(numout, 5, 1) = Chr((240 And Asc(Mid$(datain, 3, 1))) / 16 + 48)
   Mid$(numout, 6, 1) = Chr((15 And Asc(Mid$(datain, 3, 1))) + 48)
   Mid$(numout, 7, 1) = Chr((240 And Asc(Mid$(datain, 4, 1))) / 16 + 48)
   Mid$(numout, 8, 1) = Chr((15 And Asc(Mid$(datain, 4, 1))) + 48)
   Mid$(numout, 9, 1) = Chr((240 And Asc(Mid$(datain, 5, 1))) / 16 + 48)
   Mid$(numout, 10, 1) = "."
   Mid$(numout, 11, 1) = Chr((15 And Asc(Mid$(datain, 5, 1))) + 48)
   Mid$(numout, 12, 1) = Chr((240 And Asc(Mid$(datain, 6, 1))) / 16 + 48)

   'CnvHPPack6ToCur = CCur(numout)

   If (15 And Asc(Mid$(datain, 6, 1))) = 13 Then
      CnvHPPack6ToCur = -CCur(numout)
   Else
      CnvHPPack6ToCur = CCur(numout)
   End If
End Function

Function DateMDY (ByVal datein As Long) As String
   Dim dateout As String * 6

   dateout = RTrim$(LTrim$(Str(datein))) & "000000"

   DateMDY = Mid$(dateout, 3, 2) & Mid$(dateout, 5, 2) & Mid$(dateout, 1, 2)
End Function

